Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyExecutableMemberDoc

Field Summary
`List` | `parameters`

Constructor Summary
`SimpleGroovyExecutableMemberDoc(String name)`
`SimpleGroovyExecutableMemberDoc(String name, List links)`

Method Summary
`void` | `add(GroovyParameter parameter)`
`String` | `flatSignature()`
`boolean` | `isNative()`
`boolean` | `isSynchronized()`
`boolean` | `isVarArgs()`
`def` | `parameters()`
`String` | `signature()`
`def` | `thrownExceptionTypes()`
`def` | `thrownExceptions()`

Constructor Detail

### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(String name)

### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(String name, List links)

Method Detail

### add

    public void add(GroovyParameter parameter)

### flatSignature

    public String flatSignature()

### isNative

    public boolean isNative()

### isSynchronized

    public boolean isSynchronized()

### isVarArgs

    public boolean isVarArgs()

### parameters

    public def parameters()

### signature

    public String signature()

### thrownExceptionTypes

    public def thrownExceptionTypes()

### thrownExceptions

    public def thrownExceptions()